Bug 25238 - Accessibility: Multiple 'H1' headings exist in the full record display
Summary: Accessibility: Multiple 'H1' headings exist in the full record display
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 25237
  Show dependency treegraph
 
Reported: 2020-04-22 06:03 UTC by Martin Renvoize
Modified: 2020-07-24 00:14 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25238: Fix semantic heading for opac-details (5.10 KB, patch)
2020-06-11 11:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25238: Fix semantic heading for opac-details (5.18 KB, patch)
2020-06-11 12:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25238: Fix semantic heading for opac-details (5.24 KB, patch)
2020-06-21 14:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-04-22 06:03:04 UTC
Library Catalogue - OPAC

Multiple level-one headings are present on the book title page. This means that screen reader users may not be able to determine which level-one heading introduces the topic or subject of the page content.

1/ Search for an item
2/ Click through to a records full details disaply

Current Code:
<h1 id="logo">
<a class="brand" href="/cgi-bin/koha/opac-main.pl">
Library name</a>
</h1>

<h1 class="title" property="name">Taxing time for housing </h1>
Comment 1 Martin Renvoize 2020-06-11 11:19:18 UTC
Created attachment 105733 [details] [review]
Bug 25238: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained multiple h1 level
headings.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that two H1 level headings are present
(Page title + Item title)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and ntoe that the 'Item title' is now a level 2
heading
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled, MARC21,
UNIMARC and NORMARC variations.
Comment 2 Owen Leonard 2020-06-11 12:12:15 UTC
Created attachment 105742 [details] [review]
Bug 25238: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained multiple h1 level
headings.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that two H1 level headings are present
(Page title + Item title)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and ntoe that the 'Item title' is now a level 2
heading
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled, MARC21,
UNIMARC and NORMARC variations.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-06-21 14:15:29 UTC
I believe there was some discussion about the logo having h1 - was there any conclusion if we should change it?
Comment 4 Katrin Fischer 2020-06-21 14:15:55 UTC
Created attachment 106117 [details] [review]
Bug 25238: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained multiple h1 level
headings.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that two H1 level headings are present
(Page title + Item title)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and ntoe that the 'Item title' is now a level 2
heading
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled, MARC21,
UNIMARC and NORMARC variations.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-06-22 07:46:22 UTC
(In reply to Katrin Fischer from comment #3)
> I believe there was some discussion about the logo having h1 - was there any
> conclusion if we should change it?

I think we decided it would be good to change it, but not with this particular set of bugs as it needs more thought going into how we arrange subsequent headings.
Comment 6 Jonathan Druart 2020-06-24 13:32:15 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-10 17:09:26 UTC
backported to 20.05.x for 20.05.02
Comment 8 Aleisha Amohia 2020-07-13 02:59:50 UTC
backported to 19.11.x for 19.11.08
Comment 9 Victor Grousset/tuxayo 2020-07-24 00:14:09 UTC
Backported to 19.05.x branch for 19.05.14